> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-issue-698-scan-api-single-page.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/scan-proxy/ans-entries



## OpenAPI

````yaml /openapi/splice/validator/scan-proxy.yaml get /v0/scan-proxy/ans-entries
openapi: 3.0.0
info:
  title: Validator API
  version: 0.0.1
servers:
  - url: https://example.com/api/validator
security: []
tags:
  - name: validator
paths:
  /v0/scan-proxy/ans-entries:
    get:
      tags:
        - scan-proxy
      summary: /v0/scan-proxy/ans-entries
      operationId: listAnsEntries
      parameters:
        - name: name_prefix
          in: query
          schema:
            type: string
        - name: page_size
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEntriesResponse'
components:
  schemas:
    ListEntriesResponse:
      type: object
      required:
        - entries
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/AnsEntry'
    AnsEntry:
      type: object
      required:
        - user
        - name
        - url
        - description
      properties:
        contract_id:
          description: |
            If present, Daml contract ID of template `Splice.Ans:AnsEntry`.
            If absent, this is a DSO-provided entry for either the DSO or an SV.
          type: string
        user:
          description: Owner party ID of this ANS entry.
          type: string
        name:
          description: The ANS entry name.
          type: string
        url:
          description: Either empty, or an http/https URL supplied by the `user`.
          type: string
        description:
          description: Arbitrary description text supplied by `user`; may be empty.
          type: string
        expires_at:
          description: |
            Time after which this ANS entry expires; if renewed, it will have a
            new `contract_id` and `expires_at`.
            If `null` or absent, does not expire; this is the case only for
            special entries provided by the DSO.
          type: string
          format: date-time

````